*!* Test vectors for TEA from...
*!* http://read.pudn.com/downloads110/sourcecode/crypt/457839/TEA.h__.htm

LOCAL lcKey, lcPlaintext, lcCipherText, lcDecipherText
SET LIBRARY TO (LOCFILE("vfpencryption71.fll","FLL"))
CLEAR
*!* TEA ECB mode tests
?"TEA TESTS"
?"ECB:"

m.lnCipherMode = 0
m.lcKey = "aaaabbbb"
m.lcData = STRCONV("0000000000000000", 16)
?"23362594D87140F7 <-Test cipher bytes"
m.lcCipher = Encrypt(m.lcData, m.lcKey, 8, m.lnCipherMode)
?STRCONV(m.lcCipher, 15)+ " <-VFP cipher bytes"
?"0000000000000000 <-Test clear bytes"
?STRCONV(Decrypt(m.lcCipher, m.lcKey, 8, m.lnCipherMode), 15)+ " <-VFP clear bytes"
m.lcKey = "aaaabbbb"
m.lcData = STRCONV("0100000000000000", 16)
?"D21CE52C43A62329 <-Test cipher bytes"
m.lcCipher = Encrypt(m.lcData, m.lcKey, 8, m.lnCipherMode)
?STRCONV(m.lcCipher, 15)+ " <-VFP cipher bytes"
?"0000000000000000 <-Test clear bytes"
?STRCONV(Decrypt(m.lcCipher, m.lcKey, 8, m.lnCipherMode), 15)+ " <-VFP clear bytes"
m.lcKey = "aaaabbbb"
m.lcData = "aaaaaaaa"
m.lcCipher = STRCONV("CE874919B1DAA54A", 16)
?"CE874919B1DAA54A <-Test cipher bytes"
m.lcCipher = Encrypt(m.lcData, m.lcKey, 8, m.lnCipherMode)
?STRCONV(m.lcCipher, 15)+ " <-VFP cipher bytes"
?"aaaaaaaa <-Test clear bytes"
?Decrypt(m.lcCipher, m.lcKey, 8, m.lnCipherMode) + " <-VFP clear bytes"
?
?"CBC64:"
?
?"CFB64:"
?
?"OFB64:"
?
SET LIBRARY TO
