*!* Tests from ecb_e_m.txt according to info in katmct.pdf
*!* all tests check out for VFPEncryption FLL
CLEAR ALL

LOCAL lcKey, lcPlaintext, lcCiphertext, lcPrevCiphertext, lcInputBlock, lnEncType
LOCAL i, j, lnKeySize

SET LIBRARY TO (LOCFILE("vfpencryption71.fll", "FLL"))
SET ESCAPE ON
CLEAR

FOR m.lnKeySize = 16 TO 32 STEP 8 && 128, 192, 256
	m.lnEncType = ICASE(m.lnKeySize = 16, 0, m.lnKeySize = 24, 1, m.lnKeySize = 32, 2)
	m.lcKey = STRCONV(REPLICATE("0",m.lnKeySize * 2),16)
	m.lcPlaintext = STRCONV("00000000000000000000000000000000",16)
	m.lcCiphertext = ""
	? "=========="
	? "KEYSIZE=" + TRANSFORM(m.lnKeySize * 8) && in bits
	?
	FOR m.i = 0 TO 399
		?"I=" + TRANSFORM(m.i)
		?"KEY=" + STRCONV(m.lcKey, 15)
		?"PT=" + STRCONV(m.lcPlaintext , 15)
		FOR j = 0 TO 9999
			m.lcInputBlock = m.lcPlaintext
			m.lcPrevCiphertext = m.lcCiphertext
			m.lcCiphertext = ENCRYPT(m.lcInputBlock, m.lcKey, m.lnEncType, 0, 0, m.lnKeySize, 16)
			m.lcPlaintext = m.lcCiphertext
		ENDFOR
		?"CT=" + STRCONV(m.lcCiphertext, 15)
		?
		m.lcKey = CAST(BITXOR(CREATEBINARY(m.lcKey), CREATEBINARY(LEFT(Right(m.lcPrevCiphertext, LEN(m.lcKey) - LEN(m.lcCiphertext)) + m.lcCiphertext, m.lnKeySize))) AS M)
		m.lcCiphertext = m.lcPlaintext
*!*			SET STEP ON
	ENDFOR
	SET STEP ON
ENDFOR
SET LIBRARY TO
